//
//  AppController.m
//  iAlertTest
//
//  Created by あんのたん on 2008/10/31.
//  This software is licensed under a Creative Commons Attribution 2.1 Japan License.
//

#import "AppController.h"


@implementation AppController
-(IBAction)runModal:(id)sender{
	NSAlert* alert=[[[NSAlert alloc] init] autorelease];
	[alert setMessageText:[messageField stringValue]];
	[alert setInformativeText:[infomativeField stringValue]];
	[alert setHelpAnchor:[helpAnchorField stringValue]];
	if([showsHelpCB state] == NSOnState){
		[alert setShowsHelp:YES];
	}else{
		[alert setShowsHelp:NO];
	}
	if([showsSuppressionCB state] == NSOnState){
		[alert setShowsSuppressionButton:YES];
	}else{
		[alert setShowsSuppressionButton:NO];
	}
	if([customImageCB state] == YES){
		[alert setIcon:[iconView image]];
	}
	[alert setAlertStyle:[styleMatrix selectedRow]];
	[alert runModal];
}
@end
